Skip to content. | Skip to navigation

Personal tools

Navigation

You are here: Home / Steve's Blog / PloneFormGen: Ready for Plone 4

PloneFormGen: Ready for Plone 4

Posted by Steve McMahon at Mar 06, 2010 08:00 PM |
Filed under:
Version 1.6.0b1 of PloneFormGen is compatible with Plone 3 and 4.

Plone 4, beta 1, will be out any day now. Get ready to test!

And, when you do, please also test the newest PloneFormGen: version 1.6.0b2, just released, which is compatible with Plone 3.1+ and 4.x.

The bad news is that the new PloneFormGen doesn't have much in the way of new features. The good news is that it was very easy to update PFG to work with both Plone 3 and 4. Everything you need to know to update your Plone add on is well-documented in the Plone Upgrade Guide, thanks to excellent work by Maurits van Rees.

Also updated for Plone 4 are the elements of ScriptableFields.

Thanks to David Glick, Matthew Wilkes and Maurits for assists with the PFG update, most of which was done in Budapest and has been sitting in svn trunk until we got closer to the Plone 4 beta.